aboutsummaryrefslogtreecommitdiffstats
path: root/sources/hv-collector-main/src/main/docker/entry.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sources/hv-collector-main/src/main/docker/entry.sh')
-rwxr-xr-xsources/hv-collector-main/src/main/docker/entry.sh13
1 files changed, 5 insertions, 8 deletions
diff --git a/sources/hv-collector-main/src/main/docker/entry.sh b/sources/hv-collector-main/src/main/docker/entry.sh
index a612e393..6bac5afe 100755
--- a/sources/hv-collector-main/src/main/docker/entry.sh
+++ b/sources/hv-collector-main/src/main/docker/entry.sh
@@ -1,20 +1,17 @@
-#!/usr/bin/env bash
-
-set -euo pipefail
+#!/usr/bin/env sh
pid=-1
-function handle_sigterm() {
- if [[ ${pid} -ge 0 ]]; then
+handle_sigterm() {
+ if [ ${pid} -ge 0 ]; then
echo "Caught SIGTERM signal. Redirecting to process with pid=${pid}"
kill -TERM "${pid}"
wait ${pid}
fi
exit 143 # 128 + 15 -- SIGTERM
}
-trap "handle_sigterm" SIGTERM
-
-java ${JAVA_OPTS:-} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt $@ &
+trap "handle_sigterm" TERM
+java ${JAVA_OPTS} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt "$@" &
pid=$!
echo "Service started with pid=${pid}"
wait ${pid}